Package org.apache.uima.impl

# Class ChildUimaContext_impl

java.lang.Object
org.apache.uima.impl.UimaContext_ImplBase
org.apache.uima.impl.ChildUimaContext_impl

All Implemented Interfaces:
  `UimaContext`, `UimaContextAdmin`

Direct Known Subclasses:
  `FlowControllerContext_impl`

public class ChildUimaContext_impl extends UimaContext_ImplBase implements UimaContextAdmin
Reference implementation of `AnnotatorContext`.

- ## Field Summary

  ### Fields inherited from class org.apache.uima.impl.UimaContext_ImplBase

  `loggingThrottleLimit, mCasPoolSize, mMBean, mOutstandingCASes, mQualifiedContextName, mSofaMappings`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ChildUimaContext_impl(UimaContextAdmin aParentContext, String aContextName, Map<String,String> aSofaMappings)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ConfigurationManager`
  `getConfigurationManager()`
  Gets the ConfigurationManager instance used by this UimaContext to resolve configuration parameter resource accesses.
  `InstrumentationFacility`
  `getInstrumentationFacility()`
  Gets the InstrumentationFacility to be used within this AnalysisEngine.
  `Logger`
  `getLogger()`
  Gets the `Logger` to which log output will be sent.
  `ResourceManager`
  `getResourceManager()`
  Gets the ResourceManager used by this UimaContext to locate and access external resources
  `UimaContextAdmin`
  `getRootContext()`
  Get the Root Context
  `Session`
  `getSession()`
  Returns the Session object, which can be used to store data that pertains to a particular client session.
  `void`
  `initializeRoot(Logger aLogger, ResourceManager aResourceManager, ConfigurationManager aConfigurationManager)`
  Initializes a root UimaContext.
  `void`
  `setLogger(Logger aLogger)`
  Sets the Logger for this UimaContext.
  `void`
  `setPearResourceManager(ResourceManager resourceManager)`
  Set the Pear resource manager, to be used instead of any containing Resource Manager.
  `void`
  `setProcessTrace(ProcessTrace aProcessTrace)`
  Sets the current ProcessTrace object, which will receive trace events generated by the InstrumentationFacility.
  `void`
  `setSession(Session aSession)`
  Sets the current session object.

  ### Methods inherited from class org.apache.uima.impl.UimaContext_ImplBase

  `combineSofaMappings, createChild, defineCasPool, getComponentInfo, getConfigParameterNames, getConfigParameterNames, getConfigParameterValue, getConfigParameterValue, getConfigurationGroupNames, getDataPath, getDataPathElements, getEmptyCas, getExternalOverrides, getManagementInterface, getMdcId, getQualifiedContextName, getResourceAsStream, getResourceAsStream, getResourceFilePath, getResourceFilePath, getResourceObject, getResourceObject, getResourceURI, getResourceURI, getResourceURL, getResourceURL, getSharedSettingArray, getSharedSettingNames, getSharedSettingValue, getSofaMap, getSofaMappings, getUniqueName, makeQualifiedName, mapSofaIDToComponentSofaName, mapToSofaID, maybeThrottleLogger, returnedCAS, setExternalOverrides, setLoggingThrottleLimit`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.apache.uima.UimaContext

  `getConfigParameterNames, getConfigParameterNames, getConfigParameterValue, getConfigParameterValue, getConfigurationGroupNames, getDataPath, getDataPathElements, getEmptyCas, getResourceAsStream, getResourceAsStream, getResourceFilePath, getResourceFilePath, getResourceObject, getResourceObject, getResourceURI, getResourceURI, getResourceURL, getResourceURL, getSharedSettingArray, getSharedSettingNames, getSharedSettingValue, getSofaMappings, mapSofaIDToComponentSofaName, mapToSofaID`

  ### Methods inherited from interface org.apache.uima.UimaContextAdmin

  `createChild, defineCasPool, getComponentInfo, getExternalOverrides, getManagementInterface, getQualifiedContextName, getSofaMap, getUniqueName, returnedCAS, setExternalOverrides`

- ## Constructor Details

  - ### ChildUimaContext_impl

    public ChildUimaContext_impl(UimaContextAdmin aParentContext, String aContextName, Map<String,String> aSofaMappings)

- ## Method Details

  - ### initializeRoot

    public void initializeRoot(Logger aLogger, ResourceManager aResourceManager, ConfigurationManager aConfigurationManager)
    Description copied from interface: `UimaContextAdmin`
    Initializes a root UimaContext.
    Specified by:
      `initializeRoot` in interface `UimaContextAdmin`
    Parameters:
      `aLogger` - the logger that will be returned by this UimaContext's `UimaContext.getLogger()` method.
      `aResourceManager` - Deprecated: this parameter is ignored! The ResourceManager that will be used by this UimaContext to locate and access external resource.
      `aConfigurationManager` - Deprecated: this parameter is ignored! The ConfigurationManager that will be used by this UimaContext to access its configuration parameter settings.

  - ### getInstrumentationFacility

    public InstrumentationFacility getInstrumentationFacility()
    Gets the InstrumentationFacility to be used within this AnalysisEngine.
    Specified by:
      `getInstrumentationFacility` in interface `UimaContext`
    Returns:
      the InstrumentationFacility to be used within this AnalysisEngine

  - ### setLogger

    public void setLogger(Logger aLogger)
    Description copied from interface: `UimaContextAdmin`
    Sets the Logger for this UimaContext. If this method is not called, the default logger (`UIMAFramework.getLogger()`) will be used.
    Specified by:
      `setLogger` in interface `UimaContextAdmin`
    Parameters:
      `aLogger` - the logger that will be returned by this UimaContext's `UimaContext.getLogger()` method.

  - ### getResourceManager

    public ResourceManager getResourceManager()
    Gets the ResourceManager used by this UimaContext to locate and access external resources
    Specified by:
      `getResourceManager` in interface `UimaContextAdmin`
    Returns:
      the ResourceManager

  - ### setPearResourceManager

    public void setPearResourceManager(ResourceManager resourceManager)
    Set the Pear resource manager, to be used instead of any containing Resource Manager.
    Parameters:
      `resourceManager` - -

  - ### getConfigurationManager

    public ConfigurationManager getConfigurationManager()
    Description copied from interface: `UimaContextAdmin`
    Gets the ConfigurationManager instance used by this UimaContext to resolve configuration parameter resource accesses.
    Specified by:
      `getConfigurationManager` in interface `UimaContextAdmin`
    Returns:
      the ConfigurationManager instance for this UimaContext

  - ### setProcessTrace

    public void setProcessTrace(ProcessTrace aProcessTrace)
    Sets the current ProcessTrace object, which will receive trace events generated by the InstrumentationFacility.

    This method is to be called from the Analysis Engine, not the Annotator, so it is not part of the AnnotatorContext interface.

    Specified by:
      `setProcessTrace` in interface `UimaContextAdmin`
    Parameters:
      `aProcessTrace` - the ProcessTrace object to receive trace events

  - ### getRootContext

    public UimaContextAdmin getRootContext()
    Get the Root Context
    Specified by:
      `getRootContext` in interface `UimaContextAdmin`
    Returns:
      root context

  - ### getLogger

    public Logger getLogger()
    Description copied from interface: `UimaContext`
    Gets the `Logger` to which log output will be sent. UIMA components should use this facility rather than writing to their own log files (or to stdout).
    Specified by:
      `getLogger` in interface `UimaContext`
    Returns:
      an instance of a logger for use by this annotator.
    See Also:
      - `AnnotatorContext.getLogger()`

  - ### getSession

    public Session getSession()
    Description copied from interface: `UimaContext`
    Returns the Session object, which can be used to store data that pertains to a particular client session. All data that must persist across requests must be stored in the Session object and NOT in component instance variables. In some service deployments, a single component instance may serve multiple clients. In that case, the service wrapper may provide a different Session object for each client, and this method would return the appropriate Session object for the component to use for the current call.

    Note that Session support is NOT implemented in any of the service wrappers (e.g. Vinci) currently provided in the UIMA SDK.

    Specified by:
      `getSession` in interface `UimaContext`
    Returns:
      the current Session object

  - ### setSession

    public void setSession(Session aSession)
    Description copied from interface: `UimaContextAdmin`
    Sets the current session object. A default Session object is created when the UimaContext is created. In a multi-client deployment, the deployment wrapper is responsible for ensuring that an appropriate Session object is installed here prior to invoking components that use this UimaContext.
    Specified by:
      `setSession` in interface `UimaContextAdmin`
    Parameters:
      `aSession` - the session object